Subject: Re: [bug#69482] [PATCH] gnu: hikari: fix build.
From: Ludovic Courtès <[email-masked]>
To: stuebinm <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Mar 2024 17:14:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

stuebinm <[email-masked]> skribis:

> It fails to build with versions of wlroots newer than 0.15, which
> seems unlikey to be fixed https://hub.darcs.net/raichoo/hikari/issue/45
>
> * gnu/packages/wm.scm (wlroots-0.15): New variable.
> * gnu/packages/wm.scm (hikari)[inputs]: Replace wlroots with wlroots-0.15.
>
> Change-Id: Id90e1e1ff399afe54fff68167f497f0484d2c218

I tweaked the commit log and applied it.

> Hi everyone! I'm new to Guix, so I hope I'm doing this right. Unfortunately,
> hikari seems to be unmaintained for now (see the linked issue, now almost
> two years old; asking on their Matrix chat also led to no result).
>
> With this change, hikari builds again, though I could also understand if
> it's preferred to remove it entirely over keeping old versions of wlroots
> around.

Maybe something to consider going forward.  We’ll see.

Thank you!

Ludo’.